gRPC C#
gRPC C#
Namespaces
Grpc.Core
CallOptions Structure
CallOptions Methods
WithCancellationToken Method
WithDeadline Method
WithHeaders Method

CallOptions WithDeadline Method

Returns new instance of CallOptions with Deadline set to the value provided. Values of all other fields are preserved.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public CallOptions WithDeadline(
    	DateTime deadline
    )

    Public Function WithDeadline (
    	deadline As DateTime
    ) As CallOptions

    public:
    CallOptions WithDeadline(
    	DateTime deadline
    )

    member WithDeadline :
            deadline : DateTime -> CallOptions

#### Parameters

deadline
  Type: System
  DateTime
  The deadline.

#### Return Value

Type: CallOptions
See Also

#### Reference

CallOptions Structure
Grpc.Core Namespace